# Method: projects.locations.instances.updateParameters

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances/updateParameters#try-it)

Updates the defined Memcached parameters for an existing instance. This method only stages the parameters, it must be followed by `instances.applyParameters` to apply the parameters to nodes of the Memcached instance.

### HTTP request

`PATCH https://memcache.googleapis.com/v1beta2/{name=projects/*/locations/*/instances/*}:updateParameters`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the Memcached instance for which the parameters should be updated. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "updateMask": string, "parameters": { object (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances#MemcacheParameters`) } } ``` |

| Fields ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `parameters` | ``object (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1beta2/projects.locations.instances#MemcacheParameters`)`` The parameters to apply to the instance. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).